#### D.13.2.50 isCompatible

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  isCompatible(f,c); f fan, c cone

Return:
  1 if f and c live in the same ambient space and
  if the intersection of c with any cone of f is a face of each; 0 otherwise

Example:

    LIB "gfan.lib";
    fan f=emptyFan(3);
    intmat M1[3][3]=
    1,0,0,
    0,1,0,
    0,0,1;
    cone c1=coneViaPoints(M1);
    isCompatible(f,c1);
    ==> 1
    insertCone(f,c1);
    intmat M2[3][3]=
    1,1,1,
    1,0,0,
    0,1,0;
    cone c2=coneViaPoints(M2);
    isCompatible(f,c2);
    ==> 0
    intmat M3[3][3]=
    1,0,0,
    0,1,0,
    0,0,-1;
    cone c3=coneViaPoints(M3);
    isCompatible(f,c3);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.